%{?nodejs_find_provides_and_requires}

Name:           nodejs-nopt
Version:        3.0.6
Release:        %mkrel 6
Summary:        Node.js option parsing
License:        MIT
Group:          System/Libraries
URL:            https://github.com/isaacs/nopt
Source0:        https://registry.npmjs.org/nopt/-/nopt-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

#BuildRequires:  npm(tap)
BuildRequires:  npm(abbrev)

%description
An option parsing library for Node.js and its package manager (npm).


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nopt
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/nopt
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/nopt/bin/nopt.js %{buildroot}%{_bindir}/nopt
%nodejs_symlink_deps


#%check
#%nodejs_symlink_deps --check
#%tap test/*.js


%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/nopt
%{_bindir}/nopt



%changelog
* Tue May 05 2020 joequant <joequant> 3.0.6-6.mga8
+ Revision: 1580541
- remove test build requires
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.6-4.mga8
+ Revision: 1492613
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 3.0.6-3.mga7
+ Revision: 1265032
- Mageia 7 Mass Rebuild

* Mon May 16 2016 neoclust <neoclust> 3.0.6-2.mga6
+ Revision: 1016189
- New version 3.0.6

* Mon Feb 08 2016 umeabot <umeabot> 2.1.2-3.mga6
+ Revision: 950278
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 tv <tv> 2.1.2-2.mga5
+ Revision: 793455
- drop excludearchs
- imported package nodejs-nopt

